Rated 4 out of 5 stars

Please update it so that it's compatible with FF 3.5. Very useful add-on that I depend upon.

This review is for a previous version of the add-on (0.5.165B).